/**************Crosswalk Susenas Mar 16*************
Last modified: 170630
*************************/

clear
capture log close
set more off


use "$codeddata/Sus2017_merged_randomization.dta", clear

*create kabupaten/kota id 
g kabu_id =districtcode
destring kabu_id, replace

replace kabu_id = 7402 if kabu_id == 7413 // Muna Barat, split from Muna
replace kabu_id = 7401 if kabu_id == 7414 // Buton Tengah, split from Buton
replace kabu_id = 7401 if kabu_id == 7415 // Buton Selatan, split from Buton

tempfile sus17
save `sus17'


*get the names from crosswalk file 
use "$rawdata/kabpanel19802014usingUndangUndang.dta", clear
keep id_jan14 kab_jan14 id_dec04 kab_dec04
duplicates drop

rename id_jan14 kabu_id

merge 1:m kabu_id using `sus17'
assert _m == 3 // all matched
drop _m

drop kabu_id kab_jan14
rename kab_dec04 kabu_name
rename id_dec04 kabu_id
*tostring kabu_id, replace


save "$codeddata/Sus2017_merged_randomization.dta", replace

keep kabu_id code district province hhid urban hh_raskin hh_kps own_cell own_flattv own_wcgoose ///
hhsize fwt n_cell_hh districtcode total_room strata_orig treatment treatp treatq tr_cell tr_wc tr_tv tr_room

save "$codeddata/Sus2017_merged_randomization_reduced.dta", replace

