************************************
************************************
** remove collinear variables
************************************
************************************

********
** preliminaries
********

clear
set more off
set matsize 11000

********
** remove collinear variables, looping over 2016 and 2017
********

forval yr = 2016/2017 {

display "Starting on year `yr', lasso inds!"

** load in lasso inds
use "$codeddata/lasso_prepped_inds_imputem_`yr'susenas.dta", clear

if `yr' == 2017 rename fwt fwt_tahun // difference in 2017 data set

display c(k)
_rmcoll *1?_* *0?_*, forcedrop 
display c(k)
drop `r(varlist)'
display c(k)

save "$analysis/MATLAB/Data_`yr'/lasso_prepped_inds_imputem_susenas_nocoll.dta", replace

** save controls for use in Matlab lasso
ds *1?_* *0?_* urban
outsheet `r(varlist)' using "$analysis/MATLAB/Data_`yr'/X_inds_imputem_susenas_nocoll.csv", comma replace

}

*DONE!!!



