/**************Crosswalk Susenas Mar 16*************
Last modified: 170630
*************************/

clear
capture log close
set more off

use "$codeddata/SusMar2016_merged_randomization.dta"
drop _m

*create kabupaten/kota id 
g kabu_id =districtcode
destring kabu_id, replace
tempfile susmar16
save `susmar16'

*get the names from crosswalk file 
use "$rawdata/kabpanel19802014usingUndangUndang.dta", clear
keep id_jan14 kab_jan14 id_dec04 kab_dec04
duplicates drop

rename id_jan14 kabu_id

merge 1:m kabu_id using `susmar16'

*all matched
keep if _m==3

drop kabu_id kab_jan14
rename kab_dec04 kabu_name
rename id_dec04 kabu_id
*tostring kabu_id, replace

save "$codeddata/SusMar2016_merged_randomization.dta", replace
